Bug 354501 - Cannot erase firefox
Cannot erase firefox
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-26 13:31 EDT by Peter Ennis
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-29 12:39:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Ennis 2007-10-26 13:31:25 EDT
Description of problem:

Last update had a problem with yelp: Ref: Bug 350811

Latest update worked, and Firefox shows when run
as root but when run as a user.

I decided to uninstall and reinstall and get the following:

[Philip@fc7 ~]$ sudo rpm -e firefox
error: Failed dependencies:
        libgtkembedmoz.so is needed by (installed) devhelp-0.13-10.fc7.i386
        libgtkembedmoz.so is needed by (installed) yelp-2.18.1-6.fc7.i386
        libgtkembedmoz.so is needed by (installed) firefox-devel-
        libmozjs.so is needed by (installed) firefox-devel-
        libxpcom.so is needed by (installed) devhelp-0.13-10.fc7.i386
        libxpcom.so is needed by (installed) yelp-2.18.1-6.fc7.i386
        libxpcom.so is needed by (installed) firefox-devel-
        libxpcom_core.so is needed by (installed) yelp-2.18.1-6.fc7.i386
        libxpcom_core.so is needed by (installed) firefox-devel-
        gecko-libs = is needed by (installed) devhelp-0.13-10.fc7.i386
        gecko-libs = is needed by (installed) yelp-2.18.1-6.fc7.i386
        firefox = is needed by (installed)
[Philip@fc7 ~]$ 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Matěj Cepl 2007-10-29 12:39:43 EDT
And? What's the problem? You can rpm -e package which is required by some other
packages -- looks like correct decision by rpm.
Comment 2 Matěj Cepl 2007-10-29 12:46:28 EDT
sorry, it should be "You cannot", obviously.
Comment 3 Lubomir Kundrak 2007-10-29 14:05:30 EDT
Peter: Most likely you have another version of firefox in your user PATH. Didn't
you unpack the tarball mozilla.org into your home directory? Please look into
your home for firefox directory and eventually erase it. Issuing the following
command might help you where the firefox binary is:

which firefox

Note You need to log in before you can comment on or make changes to this bug.